# #define SEQAN_PATH_TO_ROOT
Return path to the checkout root directory.

Defined in | <seqan/basic.h>
Signature | `TCharPtr SEQAN_PATH_TO_ROOT()`

## Return Values

`TCharPtr` | `char const *`, string with the path to the parent directory of the tests directory.

## Detailed Description

Deprecated.

Unsafe.

### Examples

    CharString buffer = SEQAN_PATH_TO_ROOT();
    append(buffer, "/tests/files/example.txt");

    FILE *f = fopen(toCString(buffer), "w");
    fprintf(f, "Test Data");
    fclose(f);

## Data Races

If not stated otherwise, concurrent invocation is not guaranteed to be thread-safe.

## See Also

- SEQAN_TEMP_FILENAME
- getAbsolutePath

#### Dox Sources

    /*!
     * @macro SEQAN_PATH_TO_ROOT
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Return path to the checkout root directory.
     *
     * @deprecated Unsafe.
     *
     * @signature TCharPtr SEQAN_PATH_TO_ROOT()
     *
     * @return TCharPtr <tt>char const *</tt>, string with the path to the parent
     *                  directory of the tests directory.
     *
     * @section Examples
     *
     * @code{.cpp}
     * CharString buffer = SEQAN_PATH_TO_ROOT();
     * append(buffer, "/tests/files/example.txt");
     *
     * FILE *f = fopen(toCString(buffer), "w");
     * fprintf(f, "Test Data");
     * fclose(f);
     * @endcode
     *
     *
     * @see getAbsolutePath
     * @see SEQAN_TEMP_FILENAME
     */